SeExpr

Public Member Functions | Protected Attributes | List of all members
SeExpr2::ControlSpec Class Referenceabstract

Generic Expression control specification. More...

`#include <ControlSpec.h>`

Inheritance diagram for SeExpr2::ControlSpec:

## Public Member Functions
| ControlSpec (const ExprNode &node)
virtual | ~ControlSpec ()
virtual std::string | toString () const =0
| Generates a replacement string based on changes to the spec. More...

## Protected Attributes
std::string | _name
| Name of control. More...
int | _start
| Start position of text in original source. More...
int | _end
| End position of text in original source. More...

## Detailed Description

Generic Expression control specification.

Definition at line 35 of file ControlSpec.h.

## Constructor & Destructor Documentation

## ◆ ControlSpec()

SeExpr2::ControlSpec::ControlSpec | ( | const ExprNode & | node | ) |
| inline

Definition at line 37 of file ControlSpec.h.

## ◆ ~ControlSpec()

virtual SeExpr2::ControlSpec::~ControlSpec | ( |  | ) |
| inline virtual

Definition at line 38 of file ControlSpec.h.

## Member Function Documentation

## ◆ toString()

virtual std::string SeExpr2::ControlSpec::toString | ( |  | ) | const
| pure virtual

Generates a replacement string based on changes to the spec.

Implemented in SeExpr2::ExprStrSpec, SeExpr2::ExprCurveAssignSpec< T >, SeExpr2::ExprVectorAssignSpec, and SeExpr2::ExprScalarAssignSpec.

## Member Data Documentation

## ◆ _end

int SeExpr2::ControlSpec::_end
| protected

End position of text in original source.

Definition at line 49 of file ControlSpec.h.

## ◆ _name

std::string SeExpr2::ControlSpec::_name
| protected

Name of control.

Definition at line 45 of file ControlSpec.h.

Referenced by SeExpr2::ExprCurveAssignSpec< T >::ExprCurveAssignSpec(), SeExpr2::ExprScalarAssignSpec::ExprScalarAssignSpec(), SeExpr2::ExprStrSpec::ExprStrSpec(), SeExpr2::ExprVectorAssignSpec::ExprVectorAssignSpec(), SeExpr2::ExprScalarAssignSpec::toString(), SeExpr2::ExprVectorAssignSpec::toString(), and SeExpr2::ExprStrSpec::toString().

## ◆ _start

int SeExpr2::ControlSpec::_start
| protected

Start position of text in original source.

Definition at line 47 of file ControlSpec.h.

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.h